## GstBtEnvelopeD GstBtEnvelopeD — decay envelope generator |

## Functions

GstBtEnvelopeD * | gstbt_envelope_d_new ()
void | gstbt_envelope_d_setup ()

## Properties

gdouble | curve | Read / Write
gdouble | decay | Read / Write
gdouble | floor-level | Read / Write
gdouble | peak-level | Read / Write

## Types and Values

struct | GstBtEnvelopeD

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstControlSource
                    ╰── GstTimedValueControlSource
                        ╰── GstInterpolationControlSource
                            ╰── GstBtEnvelope
                                ╰── GstBtEnvelopeD

## Includes

    #include <libgstbuzztrax/envelope-d.h>

## Description

Simple decay envelope. Does a linear fade between “peak-level” and “floor-level” by default (“curve” = 0.5). For smaller values of “curve” the transition starts quicker and then slows down and for values > than 0.5 it is the other way around. Values of 0.0 or 1.0 don't make sense itself and would result in only the “floor-level” (for 0.0) or the “peak-level” (for 1.0) to be used.

## Functions

### gstbt_envelope_d_new ()

    GstBtEnvelopeD *
    gstbt_envelope_d_new (void);

Create a new instance

#### Returns

the new instance or `NULL` in case of an error

### gstbt_envelope_d_setup ()

    void
    gstbt_envelope_d_setup (GstBtEnvelopeD *self,
                            gint samplerate);

Initialize the envelope for a new cycle.

#### Parameters

self | the envelope |
samplerate | the audio sampling rate |

## Types and Values

### struct GstBtEnvelopeD

    struct GstBtEnvelopeD;

Class instance data.

## Property Details

### The `“curve”` property

      “curve”                    gdouble

Curve of the envelope, 0.5=linear.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

### The `“decay”` property

      “decay”                    gdouble

Decay of the envelope in seconds.

Flags: Read / Write

Allowed values: [0.001,4]

Default value: 0.5

### The `“floor-level”` property

      “floor-level”              gdouble

Lowest level of the envelope.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“peak-level”` property

      “peak-level”               gdouble

Highest level of the envelope.

Flags: Read / Write

Allowed values: >= 0

Default value: 1.79769e+308